# Complemento Extensión de las órdenes básicas de NVDA #

* Autores: paulber19
* URL: paulber19@laposte.net
* Descargar:
	* [versión estable][1]
	* [versión de desarrollo][2]
* Compatibilidad:
	* mínima de NVDA requerida: 2020.4
	* última versión de NVDA probada: 2022.1


* Traducido por Rémy Ruiz, cambios por Carlos Esteban martínez Macías.

Añade a NVDA:
## Las características ##

Algunas de ellas se pueden habilitar o deshabilitar individualmente.

* Mostrar la lista de iconos en la bandeja del sistema,
* Mostrar la lista de ventanas de las aplicaciones lanzadas,
* Ayuda para la composición de símbolos complejos como por ejemplo, un "e" en la "o", un símbolo Exponente 2 y la opción de añadir tus propias categorías y símbolos,
* Extensión de la funcionalidad del modo exploración de NVDA para los navegadores Mozilla Firefox, Microsoft Internet Explorer, Microsoft Edge y Google Chrome:

	* Órdenes para el modo exploración (párrafo, división, ancla, región),
	* Nuevos tipos de elementos para el cuadro de diálogo abierto con "NVDA+F7" (botón de opción, párrafos, marco, casillas de verificación, etc.) con el anuncio del número de elementos encontrados,
	* Órdenes para las tablas: 
		* Anunciar las celdas de una fila/columna, ir a la primera o última celda en la fila/columna actual, mover a la columna/fila que precede y seguir con el posible anuncio de las celdas en la misma fila o columna,
	* Anuncio de la dirección URL del documento,
	* Navegar en bucle,


* Anuncio de la funcionalidad asociada a las órdenes de edición de estilo Copiar, Pegar, etc,
* Anuncio del nombre de la carpeta preseleccionada en cuadros de diálogo de estilo Abrir, Guardar, Guardar como,
* Mostrar información sobre la aplicación bajo el cursor:
	* El nombre y número de versión de la aplicación,
	* El perfil de configuración actual,
	* El complemento activo asociado a la aplicación,


* Herramientas para los registros de NVDA:
	* Abrir el registro anterior o actual,
	* Copiar la ruta de estos al portapapeles.


* Historial de los anuncios del habla,
* Renombrar teclas del teclado,
* Anuncio selectivo de las teclas de órdenes,
* Simple temporizador de minutos,
* Mostrar los objetos visibles en primer plano,
* Cambio rápido de perfil de voz,
* Remanencia de teclas modificadoras,
* Reiniciar, apagar o hibernar el ordenador,
* Control del volumen principal y de NVDA:
	* Silenciar o reestablecer el sonido para la aplicación bajo el cursor,
	* Establecer el volumen principal o de NVDA al iniciar el complemento,
	* Cambiar el volumen principal o el flujo de audio de la aplicación bajo el cursor,
	* Restablecimiento automático del volumen  principal o de NVDA al iniciar el complemento,
	* Orientación de la salida de audio de NVDA,

* Herramientas para el desarrollo de complementos,
* Suplementos de fecha y hora: Copiar fecha y hora actual al portapapeles, anunciar hora del reloj de Windows con los segundos,
* Gestión de configuraciones del usuario y reinicio de NVDA con una configuración precisa,
* Analizador de texto,
* Anuncio de la posición del cursor en los campos de edición,
* Uso temporal de un dispositivo de salida de audio sin impactar la configuración de NVDA,
* Activación o desactivación rápida de los complementos.


## Las opciones: ##

* Eliminar el anuncio de la descripción de los objetos en las cintas de Windows,
* Anunciar la palabra bajo el cursor durante la eliminación de palabras (para las versiones de NVDA anteriores a la 2020.3),
* Maximizar automáticamente la ventana en primer plano,
* Anunciar la puntuación y los símbolos al moverse por palabras,
* Posibilidad de informar errores de ortografía con un doble pitido o con un anuncio de voz en vez del sonido emitido por NVDA.


## Las opciones avanzadas: ##

* Anunciar, con un sonido, la escritura de un error en el registro también para la versión final o RC de NVDA,
* Titular los diálogos con el nombre del complemento,
* No tomar en cuenta la opción Anunciar descripciones de objeto al mostrar los diálogos de estilo de confirmación,
* Poder  usar las teclas del teclado numérico de manera clásica.


## Varios otros elementos: ##

* Presentación del formato de texto en un cuadro de edición,
* Submenú para explorar las carpetas programa NVDA o configuración de usuario,
* Script para reiniciar rápidamente NVDA,
* Script para emular la tecla "Aplicaciones",
* Script para cerrar todas las ventanas abiertas,
* Posibilidad de ejecutar scripts en el cuadro de diálogo "Gestos de Entrada" (para las versiones de NVDA superiores a la 2020.3),
* Selección automática de la categoría en el cuadro de diálogo "Gestos de Entrada",
* Selección de la última opción utilizada en el Anillo de Opciones de Sintetizador.



[1]: https://github.com/paulber007/AllMyNVDAAddons/raw/master/NVDAExtensionGlobalPlugin/NVDAExtensionGlobalPlugin-11.2.nvda-addon
[2]: https://github.com/paulber007/AllMyNVDAAddons/tree/master/NVDAExtensionGlobalPlugin/dev
